lxpolkit_0.5.4-1_amd64.deb


Advertisement

Description

lxpolkit - LXDE PolicyKit authentication agent

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename lxpolkit_0.5.4-1_amd64.deb
Package name lxpolkit
Package version 0.5.4
Package release 1
Package architecture amd64
Package type deb
Category uitoolkit::gtk x11
Homepage http://www.lxde.org/
License -
Maintainer Debian LXDE Maintainers <pkg-lxde-maintainers@lists.alioth.debian.org>
Download size 15.30 KB
Installed size 51.00 KB
LXPolkit is a GUI application for the Lightweight X11 Desktop Environment
(LXDE).
It's a simple PolicyKit authentication agent.

Alternatives

Package Version Architecture Repository
lxpolkit_0.5.4-1_i386.deb 0.5.4 i386 Debian Main
lxpolkit - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.4
libcairo2 >= 1.2.4
libfontconfig1 >= 2.12.6
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.37.3
libgtk2.0-0 >= 2.12.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
libpolkit-agent-1-0 >= 0.94
libpolkit-gobject-1-0 >= 0.94
libunique-1.0-0 >= 1.0.0
libx11-6 -
lxsession-data -
policykit-1 -

Provides

Name Value
polkit-1-auth-agent -

Replaces

Name Value
lxsession << 0.5.3-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lxpolkit_0.5.4-1_amd64.deb
Source Package lxsession

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lxpolkit deb package:
    # sudo apt-get install lxpolkit

Files

Path
/etc/xdg/autostart/lxpolkit.desktop
/usr/bin/lxpolkit
/usr/share/doc/lxpolkit/changelog.Debian.gz
/usr/share/doc/lxpolkit/changelog.gz
/usr/share/doc/lxpolkit/copyright
/usr/share/man/man1/lxpolkit.1.gz

Changelog

2019-02-28 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxsession (0.5.4-1) unstable; urgency=medium
* Merging upstream version 0.5.4 (Closes: #836063).
* Adding 00-disable-dpkg-access.patch to avoid access to dpkg database,
that's forbidden by the Policy.
* Bump Standards-Version to 4.3.0.
* Bump debhelper compat to 11.
* Removing compression options for sources.
* Updating obsolete tag debian-watch-may-check-gpg-signature in lintian
override to debian-watch-does-not-check-gpg-signature.
* Lowering libpam-systemd from dependency to suggestion on lxsession.
* Lowering systemd from dependency to recommended on lxsession-logout
(Closes: #923207).
* Fixing typo 'automaticlly' => 'automatically' (Closes: #854886).
* Adding Multi-Arch tags.
2016-12-25 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxsession (0.5.3-2) unstable; urgency=medium
[ Julien Lavergne ]
* debian/control:
- Keep built-in support, since qt session use lxqt-session.
- Add Replaces: lxsession-data (<< 0.5.3-1) for lxsession.
[ Andriy Grytsenko ]
* Fixing nonexistent dependency xdg-screensaver using correct one xdg-utils.
* Setting [linux-any] on dependency systemd for lxsession-logout.
2016-12-10 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxsession (0.5.3-1) unstable; urgency=medium
[ Julien Lavergne ]
* Stop building built-in support, for easy integration with qt session.
[ Andriy Grytsenko ]
* Rebuild all .c from .vala to be up to date.
* Changing Maintainer e-mail to Alioth based one.
* Using https for VCS fields in debian/control file.
* Using dh-autoreconf instead of autotools-dev.
* Adding dependency on policykit-1 (Closes: #773126, #773480, #814915).
* Replacing Provides policykit-1-gnome with polkit-1-auth-agent
(Closes: #826490, #842267).
* Removing override_dh_strip rule from debian/rules.
* Removing upower (<< 0.99) from Depends, it's not available anymore.
* Merging upstream version 0.5.3.
* Adding libunique-dev to Build-Depends.
* Bump Standards-Version to 3.9.8.
* Adding laptop-detect to Depends on lxsession as it tries to run that
utility.
* Updating lxsession-xsettings in lxsession.install, it was moved.
* Removing 01-no-dup-polkit.patch, it's included by upstream.
* Removing 02-fix-db-update.patch, it's included by upstream.
* Enabling hardening (set DEB_BUILD_MAINT_OPTIONS indebian/rules).
* Recommend lxde-session instead of lxde-common.
* Don't recommend openbox, lxde-session will depend on it instead.
* Splitting out lxsession-data package.
* Splitting out lxsession-edit package.
* Splitting out lxpolkit package.
* Splitting out lxlock package.
* Splitting out lxsession-logout package. It can be used independently
(LP: #1423326).
* Splitting out lxsession-default-apps package, it may be optional.
* Splitting out lxde-settings-daemon package, lxsession does not need it
but it can be used independently instead.
* Adding manual pages coming with package to install (Closes: #722037).
* Adding proper dependency from lxlock to supported screen lockers
(Closes: #780024).
2014-11-29 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxsession (0.5.1-2) unstable; urgency=high
* Adding 02-fix-db-update.patch from upstream to fix block on database update
(Closes: #768043, #770975, #771147).
* Adding valac into Build-Depends, patching requires it.
* Cleaning lxsession_lxsession_vala.stamp, patching requires it.

See Also

Package Description
lxqt-about-l10n_0.14.1-1_all.deb Language package for lxqt-about
lxqt-about_0.14.1-1_amd64.deb About screen for LXQt
lxqt-admin-l10n_0.14.1-1_all.deb Language package for lxqt-admin
lxqt-admin_0.14.1-1_amd64.deb Admin tools for LXQt
lxqt-branding-debian_0.14.0.3_all.deb Debian branding for LXQt
lxqt-build-tools_0.6.0-2_all.deb Build tools for the LXQt desktop environment
lxqt-config-l10n_0.14.1-2_all.deb Language package for lxqt-config
lxqt-config_0.14.1-2_amd64.deb LXQt system settings center
lxqt-core_29_all.deb Metapackage for the LXQt core
lxqt-globalkeys-l10n_0.14.1-1_all.deb Language package for lxqt-globalkeys
lxqt-globalkeys_0.14.1-1_amd64.deb daemon used to register global keyboard shortcuts (appl.)
lxqt-notificationd-l10n_0.14.1-1_all.deb Language package for lxqt-notificationd
lxqt-notificationd_0.14.1-1_amd64.deb LXQt notification daemon
lxqt-openssh-askpass-l10n_0.14.1-1_all.deb Language package for lxqt-openssh-askpass
lxqt-openssh-askpass_0.14.1-1_amd64.deb OpenSSH user/password GUI dialog for LXQt
Advertisement
Advertisement